SDL_HINT_JOYSTICK_HIDAPI_PS3(3)

NAME
SDL_HINT_JOYSTICK_HIDAPI_PS3 - A variable controlling whether the HIDAPI driver for PS3 controllers should be used.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_JOYSTICK_HIDAPI_PS3 "SDL_JOYSTICK_HIDAPI_PS3"

DESCRIPTION
The variable can be set to the following values:

• "0": HIDAPI driver is not used.

• "1": HIDAPI driver is used.

The default is the value of SDL_HINT_JOYSTICK_HIDAPI on macOS, and "0" on other platforms.

For official Sony driver (sixaxis.sys) use SDL_HINT_JOYSTICK_HIDAPI_PS3_SIXAXIS_DRIVER. See https://github.com/ViGEm/DsHidMini for an alternative driver on Windows.

This hint should be set before initializing joysticks and gamepads.

AVAILABILITY
This hint is available since SDL 3.2.0.